## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelEntityTemplate Member List

This is the complete list of members for iCelEntityTemplate, including all inherited members.

AddMessage(const char *msgid, iCelParameterBlock *params)=0 | iCelEntityTemplate | `[pure virtual]`
CreatePropertyClassTemplate()=0 | iCelEntityTemplate | `[pure virtual]`
GetBehaviour() const =0 | iCelEntityTemplate | `[pure virtual]`
GetBehaviourLayer() const =0 | iCelEntityTemplate | `[pure virtual]`
GetName() const =0 | iCelEntityTemplate | `[pure virtual]`
QueryObject()=0 | iCelEntityTemplate | `[pure virtual]`
SetBehaviour(const char *layer, const char *behaviour)=0 | iCelEntityTemplate | `[pure virtual]`
SetName(const char *n)=0 | iCelEntityTemplate | `[pure virtual]`